Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#21139 - [orca] Missing pyxdg dependency

Attached to Project: Arch Linux
Opened by Hilton Medeiros (hilton) - Friday, 08 October 2010, 00:23 GMT
Last edited by Ionut Biru (wonder) - Saturday, 09 October 2010, 20:01 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Jan de Groot (JGC)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:

Hello,
orca does not start up without 'pyxdg':

Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/usr/lib/python2.6/site-packages/orca/orca.py", line 56, in <module>
import mouse_review
File "/usr/lib/python2.6/site-packages/orca/mouse_review.py", line 43, in <module>
import speech
File "/usr/lib/python2.6/site-packages/orca/speech.py", line 40, in <module>
import settings
File "/usr/lib/python2.6/site-packages/orca/settings.py", line 867, in <module>
from xdg.BaseDirectory import xdg_data_home
ImportError: No module named xdg.BaseDirectory


Additional info:
* orca 2.32.0-1

Cheers
This task depends upon

Closed by  Ionut Biru (wonder)
Saturday, 09 October 2010, 20:01 GMT
Reason for closing:  Fixed
Comment by Michael Whapples (mwhapples) - Saturday, 09 October 2010, 19:13 GMT
I feel this should be fixed as soon as possible as some users have encountered this (eg. http://mail.gnome.org/archives/orca-list/2010-October/msg00164.html ), thus the package is broken. As this only requires pyxdg to be added to the depends array please make orca-2.32.0-2 available as soon as possible.

See attach file for a corrected PKGBUILD
   PKGBUILD (0.9 KiB)

Loading...